cURL
curl -X GET 'https://api.telegent.com/v1.0/distributor?DistributorId=DID-1e24785ab-3f3c-7db1-89d7-956d80fdnn5' \
-H 'Authorization: Bearer YOUR_TOKEN'import requests
url = "https://api.telegent.com/v1.0/distributor"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.telegent.com/v1.0/distributor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"DistributorId": "DID-eab92510-1040-45a5-bb9c-0bad9272f89d",
"DistributorName": "Telegent Account",
"AccountKey": "AGID-2054FE47-A4CF-4AB1-87B5-123F6618E6D3",
"Secret": "10400bad9272f89deab92512",
"TotalAccounts": 16,
"BillingAddress": {
"Street1": null,
"Street2": "NULL",
"City": null,
"State": null,
"Zip": null,
"Country": null
},
"MailingAddress": {
"Street1": null,
"Street2": null,
"City": null,
"State": null,
"Zip": null,
"Country": null
}
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Distributors
Get Distributor Details
Retrieve details for a distributor account. Distributors sit at the top of the account hierarchy and can create and manage multiple sub-accounts (AID-) and their subscribers. Returns the distributor’s account key (DID-), secret, total accounts managed, and address information.
What this does: Returns the distributor’s name, contact info, billing and mailing addresses, and status. The DID- from this response is the top-level identifier used throughout the account hierarchy.
Next steps:
- View accounts under this distributor —
GET /v1.0/distributor/accounts - Update distributor —
POST /v1.0/distributor/update
GET
/
v1.0
/
distributor
cURL
curl -X GET 'https://api.telegent.com/v1.0/distributor?DistributorId=DID-1e24785ab-3f3c-7db1-89d7-956d80fdnn5' \
-H 'Authorization: Bearer YOUR_TOKEN'import requests
url = "https://api.telegent.com/v1.0/distributor"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.telegent.com/v1.0/distributor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"DistributorId": "DID-eab92510-1040-45a5-bb9c-0bad9272f89d",
"DistributorName": "Telegent Account",
"AccountKey": "AGID-2054FE47-A4CF-4AB1-87B5-123F6618E6D3",
"Secret": "10400bad9272f89deab92512",
"TotalAccounts": 16,
"BillingAddress": {
"Street1": null,
"Street2": "NULL",
"City": null,
"State": null,
"Zip": null,
"Country": null
},
"MailingAddress": {
"Street1": null,
"Street2": null,
"City": null,
"State": null,
"Zip": null,
"Country": null
}
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Query Parameters
Distributor ID to retrieve details for
Response
Distributor Details Retrieved
The response is of type object.
⌘I